# GİB Updates Username and Password

## PUT /GibEArchiveAccount

> Gib kullanıcı adı ve parola günceller.

```json
{"openapi":"3.0.1","info":{"title":"General API","version":"v1"},"servers":[{"url":"/general"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}}},"paths":{"/GibEArchiveAccount":{"put":{"tags":["GibEArchiveAccount"],"summary":"Gib kullanıcı adı ve parola günceller.","parameters":[{"name":"UserName","in":"query","description":"","schema":{"type":"string"}},{"name":"Password","in":"query","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Gib kullanıcı adı ve parola günceller.","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/general/GibEArchiveAccount?UserName=aa&Password=aa", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer <API KEY>");
var body = @"
{
    ""ELedgerProperties"": {
        ""Nace"": ""string"",
        ""Creator"": ""string"",
        ""TaxType"": ""IncludeTax"",
        ""LineCount"": 0,
        ""IsBranch"": true,
        ""BranchName"": ""string"",
        ""BranchNumber"": ""string"",
        ""LedgerPeriod"": true,
        ""FiscalYearStart"": ""2024-04-03T11:14:43.050Z"",
        ""FiscalYearEnd"": ""2024-04-03T11:14:43.050Z"",
        ""AccountingPeriod"": ""AccountingPeriod"",
        ""IsLiquidate"": true,
        ""LiquidateYearStart"": ""2024-04-03T11:14:43.050Z""
    }
}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/GibEArchiveAccount?UserName=aa&Password=aa',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ELedgerProperties": {
    "Nace": "string",
    "Creator": "string",
    "TaxType": "IncludeTax",
    "LineCount": 0,
    "IsBranch": true,
    "BranchName": "string",
    "BranchNumber": "string",
    "LedgerPeriod": true,
    "FiscalYearStart": "2024-04-03T11:14:43.050Z",
    "FiscalYearEnd": "2024-04-03T11:14:43.050Z",
    "AccountingPeriod": "AccountingPeriod",
    "IsLiquidate": true,
    "LiquidateYearStart": "2024-04-03T11:14:43.050Z"
  }
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "ELedgerProperties": {
    "Nace": "string",
    "Creator": "string",
    "TaxType": "IncludeTax",
    "LineCount": 0,
    "IsBranch": true,
    "BranchName": "string",
    "BranchNumber": "string",
    "LedgerPeriod": true,
    "FiscalYearStart": "2024-04-03T11:14:43.050Z",
    "FiscalYearEnd": "2024-04-03T11:14:43.050Z",
    "AccountingPeriod": "AccountingPeriod",
    "IsLiquidate": true,
    "LiquidateYearStart": "2024-04-03T11:14:43.050Z"
  }
});
let config = {
  method: 'put',
  maxBodyLength: Infinity,
  url: 'https://apitest.nilvera.com/general/GibEArchiveAccount?UserName=aa&Password=aa',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'Bearer <API KEY>'
  },
  data : data
};
axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
